<?php

class SearchUserResource extends AdminAdapter
{

	public function post($request)
	{
		// to Receive POST Params (use $this->params)
 		parent::post($request);

 		if( $this->isLoggedIn() )
 		{
			//Permission
			$permission = array();
			$permission['action'] = 'list_users';
			$permission['apps'] = $this->getUserApps();

			//Load Conf Admin
			$this->loadConfAdmin();

			if( $this->validatePermission($permission) ) 	
			{	
				$searchUser = $this->getParam('accountSearchUser');

				if( trim($searchUser) == "" && isset($searchUser) )	
					Errors::runException( "ADMIN_SEARCH_USER_EMPTY" );

				$list = $this->listUsers( $searchUser );

				$user = array();

				foreach( $list as $_u )
				{
					$user['accountId'] 		= $_u['account_id'];
					$user['accountLid']		= $_u['account_lid'];
					$user['accountCn']		= $_u['account_cn'];
					$user['accountMail']	= $_u['account_mail'];
				}

				if( count($list) > 0 )
				{
					$this->setResult( array( "searchUser" => $user ) );
				}
				else
				{
					Errors::runException( "ADMIN_USERS_NOT_FOUND" );		
				}
			}
			else
			{
				Errors::runException( "ACCESS_NOT_PERMITTED" );
			}			

 		}

		return $this->getResponse();
	}
}

?>